Skip to main content
GET
/
orders
/
{id}
Order
curl --request GET \
  --url https://api.sandbox.isometric.com/registry/v0/orders/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-client-secret: <x-client-secret>'
import requests

url = "https://api.sandbox.isometric.com/registry/v0/orders/{id}"

headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-client-secret': '<x-client-secret>', Authorization: 'Bearer <token>'}
};

fetch('https://api.sandbox.isometric.com/registry/v0/orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "buyer_organisation": {
    "domain": "isometric.com",
    "id": "org_1GB56M1ST1S0GVNA",
    "name": "<string>"
  },
  "credits_delivered": {
    "credit_kgs": 123,
    "credits": 123
  },
  "credits_ordered": {
    "credit_kgs": 123,
    "credits": 123
  },
  "effective_contract_date": "2023-12-25",
  "fulfilled_at": "2023-11-07T05:31:56Z",
  "id": "ord_1FAN3S3WV1S0B842",
  "supplier": {
    "id": "spl_1CC712KFS1S0YKPS",
    "location": {
      "country_code": "<string>",
      "country_name": "<string>",
      "latitude": 0,
      "longitude": 0,
      "description": "<string>"
    },
    "long_description": "<string>",
    "organisation": {
      "domain": "isometric.com",
      "id": "org_1GB56M1ST1S0GVNA",
      "name": "<string>"
    },
    "short_description": "<string>"
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Path Parameters

id
string
required
Required string length: 20 - 37
Examples:

"ord_1FAN3S3WV1S0B842"

"ord_1DBVRQDHBSBXWBWP"

Response

Successful Response

buyer_organisation
Organisation · object
required
credits_delivered
CreditQuantity · object
required
credits_ordered
CreditQuantity · object
required
effective_contract_date
string<date>
required
fulfilled_at
string<date-time> | null
required
id
string
required
Required string length: 20 - 37
Examples:

"ord_1FAN3S3WV1S0B842"

"ord_1DBVRQDHBSBXWBWP"

status
enum<string>
required
Available options:
placed,
in_progress,
completed
supplier
Supplier · object
required